import path from 'path';
import { existsSync } from 'fs';

export function getPostsDirectory() {
  const rootDir = process.cwd();
  const dockerDir = path.join(rootDir, 'docker');
  const postsDir = path.join(rootDir, 'posts');
  return existsSync(dockerDir) ? dockerDir : postsDir;
} 